Mercenary Redfoot:
Shall we open the box? This lock should be no problem for me... There we go... That was too easy. Now, what do we have here?
A fragment of stone? It appears to be a piece of a statue of the goddess Shilen. Isn't she the goddess of death? I have a bad feeling about this. If this was a complete statue, it would fetch a huge amount of money. Blacksmith Rupio can repair a broken relic like this... If you collect all the fragments of the statue and take them to him, he will restore the statue.
Return
.